# Uses of Class
org.eclipse.mat.query.results.CompositeResult

Packages that use CompositeResult
Package
Description
org.eclipse.mat.inspections
These are general queries.
org.eclipse.mat.snapshot.extension
Interfaces that extend the information extracted from heap dumps like threads, name resolvers etc.

## Uses of CompositeResult in org.eclipse.mat.inspections

Methods in org.eclipse.mat.inspections that return CompositeResult
Modifier and Type
Method
Description
`static CompositeResult`
ReferenceQuery.`execute(ArrayInt instanceSet, SetInt referentSet, ISnapshot snapshot, String labelHistogramReferenced, String labelHistogramRetained, String labelHistogramStronglyRetainedReferents, String referentField, IProgressListener listener)`
`static CompositeResult`
ReferenceQuery.`execute(ArrayInt instanceSet, SetInt referentSet, ISnapshot snapshot, String labelHistogramReferenced, String labelHistogramRetained, String labelHistogramStronglyRetainedReferents, IProgressListener listener)`

## Uses of CompositeResult in org.eclipse.mat.snapshot.extension

Methods in org.eclipse.mat.snapshot.extension that return CompositeResult
Modifier and Type
Method
Description
`CompositeResult`
IThreadInfo.`getRequests()`
Get requests such as the URL from a web server